package com.nativobject.directory.dao.mock;

import java.util.ArrayList;
import java.util.List;

import com.nativobject.directory.dao.DepartmentDao;
import com.nativobject.directory.data.Department;
import javax.inject.Named;

@Named("departmentDao")
public class DepartmentDaoMock implements DepartmentDao {
	
	private static List<Department> departments;
	static {
		departments = new ArrayList<Department>();
		for(int i = 0; i < 20;i++){
			departments.add(new Department("depName" + i, PersonDaoMock.persons));
		}
	}

	@Override
	public List<Department> findAll() {
		return departments;
	}

	@Override
	public List<Department> findStartBy(String prefix) {
		return departments;
	}

}
