package com.nativobject.directory.dao.mock;

import java.util.ArrayList;
import java.util.List;

import com.nativobject.directory.dao.PersonDao;
import com.nativobject.directory.data.Person;
import javax.inject.Named;

@Named("personDao")
public class PersonDaoMock implements PersonDao {

	static List<Person> persons;

	static {
		persons = new ArrayList<Person>();
		for (int i = 0; i < 20; i++) {
			persons.add(new Person("uid" + i, "name" + i, "mail" + i));
		}

	}

	@Override
	public List<Person> getByfullName(String fullname) {
		return persons;
	}

}
